/*
 * disp_database.c
 ******************************************************************************
 * Copyright (C) 2002 Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 */

#include <stdio.h>
#include "types.h"
#include "database.h"

/******************************************************************************
 */

int
main()
{
  FILE *f ;
  OBJECT_INFO o ;
  int i ;
  NUM_ENTRIES num ;

  if ((f=fopen("COMP.dat", "r")) == (FILE *)0)
  {
    perror("Can't open COMP.dat") ;
    return 1 ;
  }

  num.ngc = (Ulong)DB_read_number (f) ;
  num.ic = (Ulong)DB_read_number (f) ;
  num.ugc = (Ulong)DB_read_number (f) ;
  num.hr = (Ulong)DB_read_number (f) ;
  num.sao = (Ulong)DB_read_number (f) ;
  num.pgc = (Ulong)DB_read_number (f) ;
  num.hd = (Ulong)DB_read_number (f) ;
  num.ppm = (Ulong)DB_read_number (f) ;
  num.messier = (Ulong)DB_read_number (f) ;
  num.align = (Ulong)DB_read_number (f) ;

  printf ("Mes=%ld, UGC=%ld, NGC=%ld, HR=%ld, IC=%ld\n",
	  num.messier, num.ugc, num.ngc, num.hr, num.ic) ;
  printf ("SAO=%ld, PGC=%ld, HD=%ld, PPM=%ld, ALIGN=%ld\n",
	  num.sao, num.pgc, num.hd, num.ppm, num.align) ;
  printf ("---------------------------------------\n") ;

  for (i=1;;i++)
  {
    if (DB_read_object_info(&o, f) != 1)
      break ;

    fprintf (stdout, "\n-----%d-----\n", i) ;
    DB_display_object_info (&o, stdout) ;
  }

  fclose (f) ;
  return 0 ;
}
