#!/bin/sh -noprofile
###############################################################################
# This script will download and decompress around 65 Mbyte of data.
###############################################################################

get_file()
{
    [ ! -f "${2}" ] && wget -t 3 -c "${1}"/"${2}"
}

get_and_decompress()
{
    [ ! -f "${3}" ] && wget -t 3 -c "${1}/${2}".gz && \
	gunzip "${2}".gz && mv "${2}" "${3}"
}

get_zip_file()
{
    [ ! -f "${4}" ] && wget -t 3 -c "${1}/${2}" && \
	unzip -ajLo "${2}" && dos2unix "${3}" && \
	mv "${3}" "${4}" && rm "${2}"
}

##########################################
[ -d downloads ] || mkdir downloads
cd downloads


# The following catalogs are from NASA's public site. Refer to
# http://xml.gsfc.nasa.gov/archive/CatalogIndex.html
NASA_FTP="ftp://adc.gsfc.nasa.gov/pub/adc/archives/catalogs"
NASA_HTTP="http://xml.gsfc.nasa.gov/pub/adc/xml_archives/catalogs"

get_and_decompress "${NASA_FTP}/1/1146" descrip.doc 1146_descrip.txt
get_and_decompress "${NASA_FTP}/1/1146" ppmnorth.dat 1146_ppmnorth.dat

get_and_decompress "${NASA_FTP}/1/1193" descrip.doc 1193_descrip.txt
get_and_decompress "${NASA_FTP}/1/1193" ppmsouth.dat 1193_ppmsouth.dat

get_and_decompress "${NASA_FTP}/1/1206" descrip.txt 1206_descrip.txt
get_and_decompress "${NASA_FTP}/1/1206" ppmb.dat 1206_ppmb.dat

get_file "${NASA_HTTP}/5/5050" 5050_catalog.dat
get_file "${NASA_HTTP}/5/5050" 5050_notes.dat
get_file "${NASA_HTTP}/5/5050" 5050_readme.txt
get_file "${NASA_HTTP}/7/7118" 7118_names.dat
get_file "${NASA_HTTP}/7/7118" 7118_ngc2000.dat
get_file "${NASA_HTTP}/7/7118" 7118_readme.txt
get_file "${NASA_HTTP}/7/7155" 7155_rc3.dat
get_file "${NASA_HTTP}/7/7155" 7155_readme.txt

#refer to http://www.gatter.demon.co.uk/dso_xref.htm
get_zip_file http://www.gatter.demon.co.uk/downloads dsodel.zip dsodel.txt dsodel.txt

#refer to http://www.skymap.com/autostar.htm
get_zip_file http://www.skymap.com/files/data_catalogs autostar.zip autostar.sdd alignment_stars.txt

#refer to http://www.skymap.com/nexstar.htm
get_zip_file http://www.skymap.com/files/data_catalogs nexstar.zip nexstar.dat nex_align.txt
[ -f nexstar.sdd ] && rm nexstar.sdd

cd ..
make

cd downloads
./process
./disp_database > COMP.txt

[ -f COMP.txt ] && echo "Binary and text databases created. View using more downloads/COMP.txt"
