/*
 * aux_driver.h
 ******************************************************************************
 * Copyright (C) 2002  Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. http://www.gnu.org
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 * Header file for the 4099 based auxiliary port driver
 */

#ifndef _AUX_DRIVER_H
#define _AUX_DRIVER_H

/******************************************************************************
 */

#define PB_INIT (0x40)
#define PD_INIT (0x80)
#define RS_OUTPUT() {PDDIR |= PD_INIT ;}

#define E_LOW()  {PBDATA &=~0x40 ;}
#define E_HIGH() {PBDATA |=0x40 ;}
#define RS_LOW() {RS_OUTPUT() ; PDDATA &=~0x80 ;}
#define RS_HIGH() {RS_OUTPUT() ; PDDATA |=0x80 ;}

enum _AUX_BIT_VALUES
{
  AUX_AZ = 0,

  AUX_LCD_LIGHT = 6,
  AUX_JOY_A,
  AUX_ALT,

  AUX_JOY_B = 15,
  AUX_ENC_WR,
  AUX_ENC_CD,
  AUX_ENC_XY,
  AUX_ENC_RD,
  AUX_ENC_CS
} ;

/******************************************************************************
 */

#define AUX_NUM_BITS 24

extern void AUX_write_aux_bit (Ushort address, BOOL state, BOOL in_supervisor);
extern void AUX_init_ports (void) ;

#endif
