/*
 * joystick.h
 ******************************************************************************
 * Copyright (C) 2002  Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. http://www.gnu.org
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 * Header file for the joystick driver
 */

#ifndef __JOY_H
#define __JOY_H

#define JOY_kill_time(X) {volatile Ushort _i, _j; for(_i=X;_i;_i--){_j=_i;}}

#define JOY_UP_BIT	0x01
#define JOY_LEFT_BIT	0x02
#define JOY_MODE_BIT	0x04
#define JOY_LIGHT_BIT	0x08
#define JOY_DOWN_BIT	0x10
#define JOY_RIGHT_BIT	0x20
#define JOY_ENTER_BIT	0x40

/******************************************************************************
 */

extern Uchar	JOY_current, JOY_changes ;
extern char	JOY_AZ, JOY_ALT ;

extern int	JOY_scan_inputs (void) ;
extern void	JOY_get_direction (void) ;

#endif
