/*
 * lcd.h
 ******************************************************************************
 * Copyright (C) 2002  Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. http://www.gnu.org
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 * Header file for driving a hitachi 44780 based LCD.
 */

#ifndef __LCD_H
#define __LCD_H

/******************************************************************************
 */

#define LCD_kill_time(X) {volatile Ushort _i, _j; for(_i=X;_i;_i--){_j=_i;}}

/******************************************************************************
 */

#define LCD_LINE_LEN	(20)		// characters
#define LCD_NUM_LINES	(2)
#define LCD_DELAY	(6)		// Bogo loop ticks

extern const Uchar LCD_initialise_string[] ;

extern void	LCD_write_lcd_control (const Uchar *string) ;
extern void	LCD_init_ports (void) ;
extern void	LCD_write_lcd_string (const Uchar line, const char *string) ;
extern void	LCD_position_cursor (const Uchar line, const Uchar location, const BOOL blink) ;

extern void	LCD_control_light (Ushort state) ;
extern void	LCD_initialise (void) ;

#endif
