/*
 ******************************************************************************
 * sort.h
 ******************************************************************************
 * Copyright (C) 2002 Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 */

#ifndef __SORT_H
#define __SORT_H

#define INSERTION_SORT_LIMIT 16 /* boundary point to use insertion sort */
#define SOR_FAIL 0xffffffff

typedef int (*COMPARE)(void *, void *) ;

extern int   SOR_cmpint(void *a, void *b) ;
extern void  SOR_qsort(void *source_array[], COMPARE compare, Ulong first, Ulong last) ;
extern Ulong SOR_search (void *source_array[], COMPARE compare, Ulong length, void *key) ;

#endif
