/*
 * telescope.h
 ******************************************************************************
 * Copyright (C) 2002  Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. http://www.gnu.org
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 * Header file for the telescope control driver
 */

#ifndef __TEL_H
#define __TEL_H

#define TEL_CMD 0
#define TEL_SLEW 1

/******************************************************************************
 */

#include "motors.h"

#define TEL_DELTA_TIME (10*60) // 600 seconds delta when calculating drift

extern void	TEL_lcd_msg (const Uchar line, const Uchar delay, const char *fmt, ...) ;
extern void	TEL_lcd_cur (const Uchar line, const Uchar cursor) ;
extern void	TEL_one_sec_msg (const long mes_type) ;

#endif
