/*
 * access_data.h
 ******************************************************************************
 * Copyright (C) 2002 Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 */

#ifndef __ACCESS_DATA_H
#define __ACCESS_DATA_H

#include "database.h"
///////////////////////////////////////////////////////////////////////////////
enum _DB_TYPE
{
  DB_MES,	//0
  DB_UGC,	//1
  DB_NGC,	//2
  DB_HR,	//3
  DB_IC,	//4
  DB_SAO,	//5
  DB_PGC,	//6
  DB_HD,	//7
  DB_PPM,	//8
  DB_ALIGN,	//9

  DB_NUM_TYPES
} ;

typedef enum _DB_TYPE DB_TYPE ;
///////////////////////////////////////////////////////////////////////////////
struct _DB_LIST
{
  Ulong id ;
  int file_offset ;
} ;

typedef struct _DB_LIST DB_LIST ;
///////////////////////////////////////////////////////////////////////////////
struct _DB_REF
{
  void *p ;
  DB_LIST *list ;
  Ulong num ;
} ;

typedef struct _DB_REF DB_REF ;
///////////////////////////////////////////////////////////////////////////////
extern DB_REF	DB_ref [DB_NUM_TYPES] ;
extern const	char DB_filename[] ;
///////////////////////////////////////////////////////////////////////////////

extern void	DB_initialise (void) ;
extern int	DB_lookup (const DB_TYPE type, const int num, OBJECT_INFO *o, const int brief) ;

#endif
