/*
 * test_database.c
 ******************************************************************************
 * Copyright (C) 2002 Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 */

#include <stdio.h>
#include <stdlib.h>

#include "types.h"
#include "database.h"
#include "sort.h"
#include "access_data.h"

///////////////////////////////////////////////////////////////////////////////
int
main()
{
  FILE *f ;
  OBJECT_INFO o ;
  int i ;
  int type ;
  void **ptr ;

  DB_initialise() ;

  printf ("Mes=%ld, UGC=%ld, NGC=%ld, HR=%ld, IC=%ld\n"
	  "SAO=%ld, PGC=%ld, HD=%ld, PPM=%ld, ALIGN=%ld\n",
	  DB_ref[DB_MES].num, DB_ref[DB_UGC].num, DB_ref[DB_NGC].num,
	  DB_ref[DB_HR].num,  DB_ref[DB_IC].num,  DB_ref[DB_SAO].num,
	  DB_ref[DB_PGC].num, DB_ref[DB_HD].num,  DB_ref[DB_PPM].num,
	  DB_ref[DB_ALIGN].num) ;

  if ((f=fopen(DB_filename, "r")) == (FILE *)0)
  {
    perror("Can't open COMP.dat") ;
    exit (1) ;
  }

  type = DB_ALIGN ;

  for (i=0 ; i < DB_ref[type].num ; i++)
  {
    ptr = DB_ref[type].p ;

    if (fseek (f, ((DB_LIST *)(ptr[i]))->file_offset, SEEK_SET))
    {
      perror ("File seek error") ;
      exit (24) ;
    }

    if (DB_read_object_info(&o, f, 0) != 1)
      break ;

    printf ("----------------------------------------\n") ;
    DB_display_object_info (&o, stdout) ;
  }

  fclose (f) ;
  printf ("========================================\n") ;
  printf ("-----Lookup M9----\n") ;

  if (DB_lookup (DB_MES, 9, &o, 0))
    printf ("lookup error on messier 9\n") ;
  else
    DB_display_object_info (&o, stdout) ;

  return 0 ;
}
