/*
 * stringfn.h
 ******************************************************************************
 * Copyright (C) 2002 Stefan Keller-Tuberg
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation
 *
 * These conditions include but are not limited to the requirement that the
 * origianal author is acknowledged in any reused, modified or adapted
 * versions of any part of this code and that any system containing reused or
 * modified parts of this code are issued under the GNU General Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ******************************************************************************
 */

#ifndef __STRINGFN_H
#define __STRINGFN_H

#include <stdarg.h>

#define      FILE_NAME_SIZE  300

#ifdef MSDOS
#define	DIR_DELIMITER		'\\'
#define	EXT_DELIMITER		'.'
#else
#define	DIR_DELIMITER   	'/'
#define	EXT_DELIMITER		'.'
#endif

extern char  Directory [FILE_NAME_SIZE] ;
extern char  *Filename, *Extension ;
extern char  Filename_String  [FILE_NAME_SIZE] ;
extern char  Extension_String [FILE_NAME_SIZE] ;
extern char  FileExtension [FILE_NAME_SIZE] ;

extern void  STR_extract_filename (const char *fspec) ;
extern void  STR_remove_special_characters (char *dest, const char *string, const int len, const int plus_space) ;
extern void  STR_restore_special_characters (char *dest, const char *string) ;
extern int   STR_snaprintf (char *string, const int maxlen, const char *fmt, ...) ;

#endif
